| LPCOpen Platform v1.03 LPCOpen Platform for NXP LPC Microcontrollers

- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
USBD_API_T Struct Reference
On Chip USB Rom Drivers

## Detailed Description

Main USBD API functions structure.

This structure contains pointer to various USB Device stack's sub-module function tables. This structure is used as main entry point to access various methods (grouped in sub-modules) exposed by ROM based USB device stack.

Definition at line 51 of file usbd_rom_api.h.

`#include "usbd_rom_api.h"`

## Data Fields
const USBD_HW_API_T * | hw
const USBD_CORE_API_T * | core
const USBD_MSC_API_T * | msc
const USBD_DFU_API_T * | dfu
const USBD_HID_API_T * | hid
const USBD_CDC_API_T * | cdc
const uint32_t * | reserved6
const uint32_t | version

## Field Documentation

const USBD_CDC_API_T * cdc

Pointer to function table which exposes functions provided by CDC-ACM function driver module.

Definition at line 68 of file usbd_rom_api.h.

const USBD_CORE_API_T * core

Pointer to function table which exposes functions which interact directly with USB device controller hardware.

Definition at line 56 of file usbd_rom_api.h.

const USBD_DFU_API_T * dfu

Pointer to function table which exposes functions provided by DFU function driver module.

Definition at line 62 of file usbd_rom_api.h.

const USBD_HID_API_T * hid

Pointer to function table which exposes functions provided by HID function driver module.

Definition at line 65 of file usbd_rom_api.h.

const USBD_HW_API_T * hw

Pointer to function table which exposes functions which interact directly with USB device stack's core layer.

Definition at line 53 of file usbd_rom_api.h.

const USBD_MSC_API_T * msc

Pointer to function table which exposes functions provided by MSC function driver module.

Definition at line 59 of file usbd_rom_api.h.

const uint32_t * reserved6

Reserved for future function driver module.

Definition at line 71 of file usbd_rom_api.h.

const uint32_t version

Version identifier of USB ROM stack. The version is defined as 0x0CHDMhCC where each nibble represnts version number of the corresponding component. CC - 7:0 - 8bit core version number h - 11:8 - 4bit hardware interface version number M - 15:12 - 4bit MSC class module version number D - 19:16 - 4bit DFU class module version number H - 23:20 - 4bit HID class module version number C - 27:24 - 4bit CDC class module version number H - 31:28 - 4bit reserved

Definition at line 73 of file usbd_rom_api.h.

The documentation for this struct was generated from the following files:

- C:/nxp/v1.03/lpcopen_v1.03/lpcopen/software/lpc_core/lpc_ip/usbd_rom/usbd_rom_api.h
- C:/nxp/v1.03/lpcopen_v1.03/lpcopen/software/LPCUSBLib/Drivers/USB/Core/DCD/USBRom/usbd_rom_api.h